Dismiss a Reminder
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Reminder/Dismissed/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Reminder/Dismissed/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/Dismissed/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/Dismissed/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Reminder/Dismissed/{id}';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 860020,
"message": "Call Priya about leading a Holiday Meals distribution shift",
"targetDate": "2025-11-20",
"targetResolutionDateUtc": "2025-11-20T17:00:00Z",
"contactId": 100456,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100456",
"contactDisplayName": "Priya Sharma",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200456/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Dismissed",
"taskStatusDisplayName": "Dismissed",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860020",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860020",
"description": "Call Priya about leading a Holiday Meals distribution shift",
"hasContact": true,
"isPastDue": false,
"isUnresolved": false,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Partner Integration",
"ownerAvatarUrl": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Reminders (Deprecated)
Dismiss a Reminder
Dismisses the reminder without recording a note, for follow-up that is no longer needed. The reminder stays on the record as resolved.
PUT
/
api
/
Reminder
/
Dismissed
/
{id}
Dismiss a Reminder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The identifier.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
A link to the related contact.
The free-text description stored on the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I